import request from '@/utils/request'

// 查询订单列表
export function listLiveOrder(query) {
  return request({
    url: '/live/liveOrder/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getLiveOrder(orderId) {
  return request({
    url: '/live/liveOrder/' + orderId,
    method: 'get'
  })
}

// 新增订单
export function addLiveOrder(data) {
  return request({
    url: '/live/liveOrder',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateLiveOrder(data) {
  return request({
    url: '/live/liveOrder',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delLiveOrder(orderId) {
  return request({
    url: '/live/liveOrder/' + orderId,
    method: 'delete'
  })
}

// 导出订单
export function exportLiveOrder(query) {
  return request({
    url: '/live/liveOrder/export',
    method: 'get',
    params: query
  })
}